
Attribute VB_Name = "rhidden"
Option Explicit


Public Sub rowhide()
'удаление строк с #R/D
Dim i As Long, k As Long, ws As Worksheet
  


 
 For Each ws In Application.ActiveWorkbook.Worksheets
i = 1
If ws.Name <> "Service" and ws.Name <> "ServPath" Then
	ws.Activate

	  ws.Range("A" & i).Select
	   
	Do While ActiveCell.Value <> "end" And ActiveSheet.Rows.Count > i

	If ActiveCell.Value = "#R/D" Then
	ActiveSheet.Rows(i).Hidden = True
	End If
	i = i + 1
	Range("A" & i).Select
	Loop
End If
Next ws
End Sub




